
import Doors
import Sounds
import Locks
import Actions


###########################################################################################
###########################################################################################
##  Sounds
###########################################################################################
###########################################################################################


stonedoor=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "stonedoor")

maderadesliz=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")

maderagolpe=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "MaderaGolpe")




###########################################################################################
###########################################################################################
##  Doors
###########################################################################################
###########################################################################################


###########################################################################################
# door1
###########################################################################################

door1=Doors.CreateDoor("Door1", (267795,0,127540), (0,1,0), 1000, 6000, Doors.CLOSED)

door1.opentype=Doors.UNIF
door1.o_med_vel=-1000
door1.o_med_displ=5000

door1.closetype=Doors.UNIF
door1.c_med_vel=1000
door1.c_med_displ=5000

door1.SetWhileOpenSound(stonedoor)
door1.SetEndOpenSound(maderagolpe)

door1.SetWhileCloseSound(stonedoor)
door1.SetEndCloseSound(maderagolpe)


###########################################################################################
# door2
###########################################################################################

door2=Doors.CreateDoor("Door2", (288500,0,128000), (0,1,0), 1000, 6000, Doors.CLOSED)

door2.opentype=Doors.UNIF
door2.o_med_vel= -2000
door2.o_med_displ=5000

door2.closetype=Doors.UNIF
door2.c_med_vel=3000
door2.c_med_displ=5000

door2.SetWhileOpenSound(maderadesliz)
door2.SetEndOpenSound(maderagolpe)

door2.SetWhileCloseSound(maderadesliz)
door2.SetEndCloseSound(maderagolpe)


###########################################################################################
# door3
###########################################################################################


door3=Doors.CreateDoor("Door3", (311022, 0, 127950), (0,1,0), 1000, 6000, Doors.OPENED)

door3.opentype=Doors.UNIF
door3.o_med_vel=-500
door3.o_med_displ=5000

door3.closetype=Doors.UNIF
door3.c_med_vel=500
door3.c_med_displ=5000

door3.SetWhileOpenSound(maderadesliz)
door3.SetEndOpenSound(maderagolpe)

door3.SetWhileCloseSound(maderadesliz)
door3.SetEndCloseSound(maderagolpe)




###########################################################################################
# door4
###########################################################################################


door4=Doors.CreateDoor("Door4", (325714, -6278, 105023), (0,1,0), 1000, 6000, Doors.CLOSED)

door4.opentype=Doors.UNIF
door4.o_med_vel=-500
door4.o_med_displ=5000

door4.closetype=Doors.UNIF
door4.c_med_vel=4000
door4.c_med_displ=5000

door4.SetWhileOpenSound(maderadesliz)
door4.SetEndOpenSound(maderagolpe)

door4.SetWhileCloseSound(maderadesliz)
door4.SetEndCloseSound(maderagolpe)


###########################################################################################
# door5
###########################################################################################


door5=Doors.CreateDoor("Door5", (356993, -526, 56560), (0,1,0), 1000, 6000, Doors.CLOSED)

door5.opentype=Doors.UNIF
door5.o_med_vel=-500
door5.o_med_displ=5000

door5.closetype=Doors.UNIF
door5.c_med_vel=4000
door5.c_med_displ=5000

door5.SetWhileOpenSound(maderadesliz)
door5.SetEndOpenSound(maderagolpe)

door5.SetWhileCloseSound(stonedoor)
door5.SetEndCloseSound(maderagolpe)



###########################################################################################
# door6
###########################################################################################


door6=Doors.CreateDoor("Door6", (444800, 4748, 44190), (0,1,0), 1000, 6000, Doors.CLOSED)

door6.opentype=Doors.UNIF
door6.o_med_vel=-500
door6.o_med_displ=5000

door6.closetype=Doors.UNIF
door6.c_med_vel=4000
door6.c_med_displ=5000

door6.SetWhileOpenSound(maderadesliz)
door6.SetEndOpenSound(maderagolpe)

door6.SetWhileCloseSound(stonedoor)
door6.SetEndCloseSound(maderagolpe)



###########################################################################################
# door7
###########################################################################################


door7=Doors.CreateDoor("Door7", (481902, 8737, 50711), (0,1,0), 1000, 5500, Doors.CLOSED)

door7.opentype=Doors.UNIF
door7.o_med_vel=-500
door7.o_med_displ=5000

door7.closetype=Doors.UNIF
door7.c_med_vel=4000
door7.c_med_displ=5000

door7.SetWhileOpenSound(maderadesliz)
door7.SetEndOpenSound(maderagolpe)

door7.SetWhileCloseSound(stonedoor)
door7.SetEndCloseSound(maderagolpe)




###########################################################################################
###########################################################################################
##  Locks and Keys
###########################################################################################
###########################################################################################



###########################################################################################
# Lock and Key: Door1
###########################################################################################

o=Locks.PlaceLock("door1_lock","Cerradurdor",(264220.0,21.7076937322,122622.410444),(0.0,2.76776773944e-007,0.707106888294,-0.70710670948),2.5)
o.key="door1_key"
o.Static=1
o.OnUnLockFunc=OpenDoor1
o.OnUnLockArgs=()
o.OnLockFunc=CloseDoor1
o.OnLockArgs=()

o=Bladex.CreateEntity("door1_key","Llavedor",0,0,0,"Physic")
o.Scale=1.3
owner=Bladex.GetEntity("liftkeyowner")
Actions.TakeObject(owner.Name, "door1_key")



###########################################################################################
# Lock and Key: Door2
###########################################################################################


fiftyfifty = ("0", "1","0", "1","0", "1")

idx = whrandom.randint(0, len(fiftyfifty)-1)
FIFTYFIFTY = fiftyfifty[idx]

if (FIFTYFIFTY == "0"):

	o=Locks.PlaceLock("door2_lock1","Cerradurdor",(286532.815966,-205.513575372,131550.0),(0.500000059605,0.499999940395,0.500000059605,-0.499999970198),2.4)
	o.key="door1_key" # key1 auch fr door2
	o.Static=1
	o.OnUnLockFunc=AwakeGolem1
	o.OnUnLockArgs=()
	print("awake-lock = links")

	o=Locks.PlaceLock("door2_lock2","Cerradurdor",(286532.815966,-205.513575372,123450.0),(0.500000059605,0.499999940395,-0.500000059605,0.499999970198),2.4)
	o.key="golem_key"
	o.Static=1
	o.OnUnLockFunc=OpenDoor2
	o.OnUnLockArgs=()
	o.OnLockFunc=CloseDoor2
	o.OnLockArgs=()

if (FIFTYFIFTY == "1"):

	o=Locks.PlaceLock("door2_lock1","Cerradurdor",(286532.815966,-205.513575372,131550.0),(0.500000059605,0.499999940395,0.500000059605,-0.499999970198),2.4)
	o.key="golem_key" # key1 auch fr door2
	o.Static=1
	o.OnUnLockFunc=OpenDoor2
	o.OnUnLockArgs=()
	o.OnLockFunc=CloseDoor2
	o.OnLockArgs=()
	print("awake-lock = rechts")

	o=Locks.PlaceLock("door2_lock2","Cerradurdor",(286532.815966,-205.513575372,123450.0),(0.500000059605,0.499999940395,-0.500000059605,0.499999970198),2.4)
	o.key="door1_key"
	o.Static=1
	o.OnUnLockFunc=AwakeGolem1
	o.OnUnLockArgs=()


o=Bladex.CreateEntity("golem_key","Llavedor",0,0,0,"Physic")
o.Scale=1.3
owner=Bladex.GetEntity("Golem_stone_2")
Actions.TakeObject(owner.Name, "golem_key")


###########################################################################################
# Lock and Key: Door3
###########################################################################################

#zur burg
o=Locks.PlaceLock("vamp1_lock1","Cerradurcob",(309596.758956,-618.615566165,124140.0),(0.500000059605,0.499999940395,-0.500000059605,0.499999970198),2.3)
o.key="vamp1_key"
o.Static=1
o.OnUnLockFunc=OpenDoor3
o.OnUnLockArgs=()
o.OnLockFunc=CloseDoor3
o.OnLockArgs=()

#zum ausgang
o=Locks.PlaceLock("vamp1_lock2","Cerradurcob",(289454.416519,-402.203213912,123530.0),(0.499999970198,0.500000059605,-0.5,0.499999970198),2.3)
o.key="vamp1_key"
o.Static=1
o.OnUnLockFunc=OpenDoor2
o.OnUnLockArgs=()
o.OnLockFunc=CloseDoor2
o.OnLockArgs=()

o=Bladex.CreateEntity("vamp1_key","Llavecob",0,0,0,"Physic")
o.Scale=1.3
owner=Bladex.GetEntity("Vamp_1")
Actions.TakeObject(owner.Name, "vamp1_key")

